Skip to main content
POST
/
users-proxies
/
mobile-proxy
Create gologin high quality proxy
curl --request POST \
  --url https://api.gologin.com/users-proxies/mobile-proxy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "countryCode": "us",
  "city": "New York",
  "profileIdToLink": "60a763f86501b3aa69a5e5e5",
  "isMobile": "mobile",
  "isDC": "true",
  "customName": "My proxy"
}
'
import requests

url = "https://api.gologin.com/users-proxies/mobile-proxy"

payload = {
"countryCode": "us",
"city": "New York",
"profileIdToLink": "60a763f86501b3aa69a5e5e5",
"isMobile": "mobile",
"isDC": "true",
"customName": "My proxy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryCode: 'us',
city: 'New York',
profileIdToLink: '60a763f86501b3aa69a5e5e5',
isMobile: 'mobile',
isDC: 'true',
customName: 'My proxy'
})
};

fetch('https://api.gologin.com/users-proxies/mobile-proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
countryCode
string
required

Country cod with 2 lowercase letters

Example:

"us"

city
string

if you want a proxy in a specific city you can specify it here.

Example:

"New York"

Put here profile id if you want to add this proxy to profiles after creation.

Example:

"60a763f86501b3aa69a5e5e5"

isMobile
boolean

Gologin has 3 type of proxies: mobile, datacenter and residential. This parameter means that you want to get a mobile proxy.

Example:

"mobile"

isDC
boolean

Is DC means that you want to get a datacenter proxy.

Example:

"true"

customName
string

Custom name for proxy for proxy management.

Example:

"My proxy"

Response

201 - undefined